package oa

import "eta/eta_bridge/global"

type HrmSubCompany struct {
	ID              int    `grom:"column:id"`
	SUBCOMPANYNAME  string `grom:"column:subcompanyname"`
	COMPANYID       int    `grom:"column:companyid"`
	SUPSUBCOMID     int    `grom:"column:supsbucomiD"`
	TLEVEL          int    `grom:"column:TLEVEL"`
	SHOWORDEROFTREE int    `gorm:"column:SHOWORDEROFTREE"`
}

func (h *HrmSubCompany) TableName() string {
	return "ECOLOGY_TARGET.HRMSUBCOMPANY"
}
func GetSubCompanyList() (list []HrmSubCompany, err error) {
	err = global.OaDbHT.Select("id  ,subcompanyname ,companyid ,supsubcomid ,tlevel ,SHOWORDEROFTREE").Where("CANCELED IS NULL").Find(&list).Error
	if err != nil {
		global.FILE_LOG.Error("获取子公司列表失败")
	}

	return
}
