package wx_crm

import (
	"eta/eta_bridge/global"
)

// SysRole 角色表
type SysRole struct {
	SysRoleId   int    `gorm:"primaryKey;column:sys_role_id;type:int(11);not null" json:"role_id"`
	SysRoleName string `gorm:"column:sys_role_name;type:varchar(100)" json:"role_name"`
}

func (m *SysRole) TableName() string {
	return "sys_role"
}

// GetSysRoleById 主键获取角色
func GetSysRoleById(roleId int) (item *SysRole, err error) {
	err = global.MYSQL["ht_crm"].Where("sys_role_id = ?", roleId).First(&item).Error
	return
}
