package routers

import (
	"eta/eta_bridge/controller/index_data"
	"eta/eta_bridge/middleware"
	"github.com/gin-gonic/gin"
)

// InitPCSG 中石油新加坡
func InitPCSG(r *gin.RouterGroup) {
	control := new(index_data.PCSGIndexController)
	group := r.Group("pcsg/").Use(middleware.InternalToken())
	group.POST("bloomberg/index_data/general", control.GetBloombergIndexDataGeneral)
}
