package oa

import "eta/eta_bridge/global"

type HrmResource struct {
	ID            int    `gorm:"column:ID"`
	LOGINID       string `gorm:"column:LOGINID"`
	WORKCODE      string `gorm:"column:WORKCODE"`
	LASTNAME      string `gorm:"column:LASTNAME"`
	DEPARTMENTID  int    `gorm:"column:DEPARTMENTID"`
	SUBCOMPANYID1 int    `gorm:"column:SUBCOMPANYID1"`
	SECLEVEL      int    `gorm:"column:SECLEVEL"`
	EMAIL         string `gorm:"column:EMAIL"`
	MOBILE        string `gorm:"column:MOBILE"`
}

func (h *HrmResource) TableName() string {
	return "ECOLOGY_TARGET.HRMRESOURCE"
}
func GetEmployeeList() (list []HrmResource, err error) {
	err = global.OaDbHT.Select("ID,LOGINID,WORKCODE,LASTNAME,DEPARTMENTID,SUBCOMPANYID1,SECLEVEL,EMAIL,MOBILE").Where("STATUS in (0,1,2,3)").Find(&list).Error
	if err != nil {
		global.FILE_LOG.Error("获取员工信息列表失败")
	}

	return
}
