package eta_trial

// GetUserReq 获取用户请求体
type GetUserReq struct {
	Mobile string `description:"手机号"`
}

// UserEditReq 更新用户信息请求体
type UserEditReq struct {
	RealName string `description:"姓名"`
	Position string `description:"职务"`
	Mobile   string `description:"手机号"`
	Enabled  int    `description:"禁启用"`
}

// UpdateUserLoginReq 更新用户登录请求体
type UpdateUserLoginReq struct {
	Mobile string `description:"手机号"`
}

// UpdateUserIndexNumReq 更新用户累计新增指标数请求体
type UpdateUserIndexNumReq struct {
	Mobile string `description:"手机号"`
}

// UpdateUserChartNumReq 更新用户累计新增图表数请求体
type UpdateUserChartNumReq struct {
	Mobile string `description:"手机号"`
}

// UpdateUserActiveTimeReq 更新用户活跃时间请求体
type UpdateUserActiveTimeReq struct {
	Mobile     string `description:"手机号"`
	UserName   string `description:"用户姓名"`
	ActiveTime int    `description:"活跃时长, 单位秒"`
	Part       string `description:"活跃板块"`
}

// UpdateUserLoginDurationReq 更新用户登录时长请求体
type UpdateUserLoginDurationReq struct {
	Mobile     string `description:"手机号"`
	UserName   string `description:"用户姓名"`
	ActiveTime int    `description:"活跃时长, 单位秒"`
}
