package index_data

// JiaYueIndexReq 指标请求体
type JiaYueIndexReq struct {
	IndexCode         string `json:"index_code" form:"index_code" description:"指标编码"`
	SourceExtend      string `json:"source_extend" form:"source_extend" description:"来源"`
	IndexCodeRequired int    `json:"index_code_required" form:"index_code_required" description:"指标编码是否必填: 0-否; 1-是"`
}

// JiaYueIndexAndDataReq 指标数据请求体
type JiaYueIndexAndDataReq struct {
	JiaYueIndexReq
	StartDate string `json:"start_date" form:"start_date" description:"开始日期"`
	EndDate   string `json:"end_date" form:"end_date" description:"结束日期"`
}

// JiaYuePageIndexReq 指标列表请求体-分页
type JiaYuePageIndexReq struct {
	SourceExtend string `json:"source_extend" form:"source_extend" description:"来源"`
	Keyword      string `json:"keyword" form:"keyword" description:"关键词"`
	Frequency    string `json:"frequency" form:"frequency" description:"频度"`
	PageIndex    int    `json:"page_index" form:"page_index" description:"当前页码"`
	PageSize     int    `json:"page_size" form:"page_size" description:"每页数据量"`
	SortField    int    `json:"sort_field" form:"sort_field" description:"排序字段: 1-指标开始时间; 2-指标最新时间; 3-更新时间"`
	SortRule     int    `json:"sort_rule" form:"sort_rule" description:"排序方式: 1-正序; 2-倒序"`
}

type JiaYueImportDataReq struct {
	SourceExtend string `json:"source_extend" form:"source_extend" description:"来源"`
}
