package routers

import (
	"eta/eta_bridge/controller/haitong"
	"github.com/gin-gonic/gin"
)

// InitXiangyu 获取象屿
func InitHTSSO(r *gin.RouterGroup) {
	initCRMSSO(r)
	//group.GET("user/sync", control.SyncUser)
	//group.GET("user/pull", control.PullUser)
	//
	//// 需要内部鉴权的接口
	//initAuthXiangyu(r)
	//
	//// 指标接口
	//initIndexXiangyu(r)
	//
	//// crm数据接口
	//initCrmXiangyu(r)
}

func initCRMSSO(r *gin.RouterGroup) {
	controller := new(haitong.SSOLoginController)
	//group := r.Group("ht/").Use(middleware.BaseAuthCheck())
	group := r.Group("ht/")
	group.POST("login", controller.SSOLogin)
}
